# Source Generated with Decompyle++
# File: in.pyc (Python 2.6)

'''Entry Completion

GtkEntryCompletion provides a mechanism for adding support for
completion in GtkEntry.
'''
import gtk

class EntryCompletionDemo(gtk.Dialog):
    
    def __init__(self, parent = None):
        gtk.Dialog.__init__(self, self.__class__.__name__, parent, 0, (gtk.STOCK_CLOSE, gtk.RESPONSE_NONE))
        
        try:
            self.set_screen(parent.get_screen())
        except AttributeError:
            self.connect('destroy', (lambda : gtk.main_quit()))

        self.connect('response', (lambda d, r: d.destroy()))
        self.set_resizable(False)
        vbox = gtk.VBox(False, 5)
        self.vbox.pack_start(vbox, True, True, 0)
        vbox.set_border_width(5)
        label = gtk.Label()
        label.set_markup('Completion demo, try writing <b>total</b> or <b>gnome</b> for example.')
        vbox.pack_start(label, False, False, 0)
        entry = gtk.Entry()
        vbox.pack_start(entry, False, False, 0)
        completion = gtk.EntryCompletion()
        entry.set_completion(completion)
        completion_model = self._EntryCompletionDemo__create_completion_model()
        completion.set_model(completion_model)
        completion.set_text_column(0)
        self.show_all()

    
    def __create_completion_model(self):
        ''' Creates a tree model containing the completions.
        '''
        store = gtk.ListStore(str)
        iter = store.append()
        store.set(iter, 0, 'GNOME')
        iter = store.append()
        store.set(iter, 0, 'total')
        iter = store.append()
        store.set(iter, 0, 'totally')
        return store



def main():
    EntryCompletionDemo()
    gtk.main()

if __name__ == '__main__':
    main()

